Get workflow JSON schema
Base URL
https://{kibana_url}
GET
/api/workflows/schema
GET
/s/{space_id} /api/workflows/schema
Auth
Retrieve the JSON schema used to validate workflow YAML definitions. The schema includes available step types based on the configured connectors in the current space.
Privileges
workflowsManagement:read
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
loose
boolean
required
When true, returns a permissive schema that allows additional properties. When false, returns a strict schema for full validation.
200
Indicates a successful response
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn://api/workflows/schema?loose=false
1
2
3
curl \
-X GET "${KIBANA_URL}/api/workflows/schema?loose=false" \
-H "Authorization: ApiKey ${API_KEY}"
Response
Example response returning the workflow JSON schema (truncated)
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
{
"$schema": "http://json-schema.org/draft-07/schema#",
"type": "object",
"properties": {
"description": {
"type": "string"
},
"enabled": {
"default": true,
"type": "boolean"
},
"name": {
"minLength": 1,
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
},
"version": {
"const": "1",
"default": "1",
"description": "The version of the workflow schema",
"type": "string"
}
},
"required": [
"name",
"triggers",
"steps"
]
}